require 'active_support'
require 'active_support/concern'
require 'hashie'
require 'hashie/mash'
require 'virtus'
require 'reform/form'
require 'reform/form/composition'
require 'reform/form/active_model'

module Corvette
	module Helper
		def corvette_concept(name)
			"#{name}_concept".camelcase.constantize
		end
	end
end

require 'corvette/version'
require 'corvette/railtie' if defined?(Rails)
require 'corvette/operation'
require 'corvette/procedure'
require 'corvette/action'
require 'corvette/service'
require 'corvette/assertion'

